c_nnpntinitd(3NCARG)

NAME
c_nnpntinitd - Enter single point mode

FUNCTION PROTOTYPE
void c_nnpntinitd(int, double [], double [], double []);

SYNOPSIS
void c_nnpntinitd (npnts, x, y, z);

DESCRIPTION

npnts
    The number of input data points. (npnts > 3)

x   An array of size npnts containing the X coordinates of the input data points.

y   An array of size npnts containing the Y coordinates of the input data points.

z   An array of size npnts containing the functional values of the input data points. That is, z[n] is the value of the input function at coordinate (x[n],y[n]), for 0 <= n < npnts.

USAGE
This function is invoked when you want to interpolate at individal points. It is an initialization routine that sets up some internal variables and does this initial triangulation. To actually do the interplation, use function c_nnpntd. To terminate single point mode, use the function c_nnpntendd.

ACCESS
To use c_nnpntinitd, load the NCAR Graphics library ngmath.

SEE ALSO
natgrid, natgrid_params, c_natgridd, c_nnpntd, c_nnpntendd.

Complete documentation for Natgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/natgrid/nnhome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.